#!/bin/bash

setup_path=$HOME/rsyncd
secret_file=$setup_path/rsyncd.secrets
echo Setting up rsyncd for remote access:
echo creating directory $setup_path
mkdir -p $setup_path
echo "generating $secret_file:"
read -p "specify vsc user name:" uid 
read -p "specify password for user $uid (same as specified on rsyncd_setup_remote.sh):" passwd
echo "$passwd" > $secret_file
chmod 600 $secret_file
echo 
echo
read -p "enter port on which the remote rsyncd is listening:" port
read -p "enter the login node name shoube like l31:" loginnode
echo

read -p "enter the local directory to which the data should be synced:" localdir


echo aliases for connecting, can be added to your .bashrc:
echo
echo alias tunnel_vsc_rsync=\'ssh -L 5100:${loginnode}.cm.cluster:$port $uid@${loginnode}.vsc.ac.at\'
echo alias backup_vsc=\'rsync --password-file=$secret_file -av  --port 5100 rsync://$uid@localhost/myfiles $localdir\'

